### Function

# GLib Sequence sort_changed_iter

since: 2.14

#### Declaration [src]

    void
    g_sequence_sort_changed_iter (
      GSequenceIter* iter,
      GSequenceIterCompareFunc iter_cmp,
      gpointer cmp_data
    )

#### Description [src]

Like g_sequence_sort_changed(), but uses a `GSequenceIterCompareFunc` instead of a `GCompareDataFunc` as the compare function.

`iter_cmp` is called with two iterators pointing into the `GSequence` that `iter` points into. It should return 0 if the iterators are equal, a negative value if the first iterator comes before the second, and a positive value if the second iterator comes before the first.

Available since: 2.14

#### Parameters

`iter`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`iter_cmp`

  Type: `GSequenceIterCompareFunc`

  The function used to compare iterators in the sequence.

`cmp_data`

  Type: `gpointer`

  User data passed to `cmp_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.